<template>
  <div v-if="selectedThemeName === 'modern'">
    <TermAndConditionBMM1 v-if="isMobile" />
    <TermAndConditionBMD1 v-else />
  </div>
  <single-privacy-content
    v-else
    :keys="{ title: 'footer_menu_info_2', content: 'menu_content_2_1' }"
    class="help-center-page"
  />
</template>

<script lang="ts">
import { computed, defineComponent } from "vue";
import { store } from "@/store";
import TermAndConditionBMD1 from "@/components/theme/desktop/modern/term-condition.client.vue";
import TermAndConditionBMM1 from "@/components/theme/mobile/modern/term-condition.client.vue";

export default defineComponent({
  components: {
    TermAndConditionBMD1,
    TermAndConditionBMM1,
  },
  setup() {
    const isMobile = !useIsDesktop();
    const selectedThemeName = computed(() => store.state.selectedThemeName);
    return {
      selectedThemeName,
      isMobile,
    };
  },
});
</script>
